Subject: Re: [PATCH v3] gpg-interface: trim CR from ssh-keygen

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Jan 2022 09:51:26 -0800

Fabian Stelzer <[email-masked]> writes:

> On 09.01.2022 16:37, Eric Sunshine wrote:
>>On Fri, Jan 07, 2022 at 10:07:35AM +0100, Fabian Stelzer wrote:
>>> We need to trim \r from the output of 'ssh-keygen -Y find-principals' on
>>> Windows, or we end up calling 'ssh-keygen -Y verify' with a bogus signer
>>> identity. ssh-keygen.c:2841 contains a call to puts(3), which confirms
>>> this hypothesis. Signature verification passes with the fix.
>>>
>>> Helped-by: Pedro Martelletto <[email-masked]>
>>> Signed-off-by: Fabian Stelzer <[email-masked]>
>>
>>Should this also have a "Helped-by: Junio" since this code was heavily
>>inspired by his suggestion[1]?
>
> Yeah, this should have a "Written-by: Junio" ^^
> I'm never sure when to add these headers (except the signed-off).

Heh, helped-by might be OK but I certainly didn't write it.  I
merely translated what you wrote without knowing exactly what's
on these lines (and what I knew, like the lines are the unit of
processing and empty lines are to be skipped, I all learned from
your original without knowing why) ;-)

So if anything, Helped-by: is good enough, but I do not need more
credit or blame ;-)